// WFProcess 流程模版基本信息
import { defHttp } from '@/utils/http/axios';
import {
  caseFlowLogParams,
  flowLogModel,
  droneCaseDealModel,
  droneCaseDealParams,
} from './model/index';

enum Api {
  // 获取案件详情步骤条
  GetCaseFlowLog = '/api/DroneCaseinfo/GetCaseFlowLog',
  // 获取案件处理详情
  GetDroneCaseDeal = '/api/DroneCaseinfo/GetDroneCaseDeal',
  // 获取案件详情
  GetCaseInfo = '/api/DroneCaseinfo/GetCaseInfo',
  // 案件列表
  LoadCaseInfoList = '/api/DroneCaseinfo/LoadCaseInfoList',
  // 获取GeoJson图层
  GetDroneGeoJson = '/api/DroneCaseinfo/GetDroneGeoJson',
}

/**
 * @description: getCaseFlowLog
 */
export function getCaseFlowLog(params?: caseFlowLogParams) {
  return defHttp.get<flowLogModel>({ url: Api.GetCaseFlowLog, params });
}
/**
 * @description: getCaseFlowLog
 */
export function getDroneCaseDeal(params?: droneCaseDealParams) {
  return defHttp.get<droneCaseDealModel>({ url: Api.GetDroneCaseDeal, params });
}
/**
 * @description: getCaseFlowLog
 */
export function getCaseInfo(params?: caseFlowLogParams) {
  return defHttp.get<flowLogModel>({ url: Api.GetCaseInfo, params });
}
/**
 * @description: getCaseFlowLog
 */
export function getCaseInfoList(params?: caseFlowLogParams) {
  return defHttp.get<flowLogModel>({ url: Api.LoadCaseInfoList, params });
}
/**
 * @description: getCaseFlowLog
 */
export function getDroneGeoJson(params?: caseFlowLogParams) {
  return defHttp.get<flowLogModel>({ url: Api.GetDroneGeoJson, params });
}
